Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1414001

Summary: Review Request: rubygem-ruby_engine - Adds the RubyEngine pseudo-constant
Product: [Fedora] Fedora Reporter: František Dvořák <valtri>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: mtasaka: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-25 13:52:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1414004    

Description František Dvořák 2017-01-17 14:22:58 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-ruby_engine-1.0.1-1/rubygem-ruby_engine.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-ruby_engine-1.0.1-1/rubygem-ruby_engine-1.0.1-1.fc26.src.rpm
Description: Gives you an RubyEngine class that simplifies checking for your Ruby
implementation.
Fedora Account System Username: valtri

COPR build: https://copr.fedorainfracloud.org/coprs/valtri/ruby/build/500696/

Comment 1 Mamoru TASAKA 2017-01-17 14:52:34 UTC
Taking.
I would appreciate it if you would review my review request (bug 1409288)

Comment 2 František Dvořák 2017-01-17 17:12:08 UTC
Taken, thanks!

Comment 3 Mamoru TASAKA 2017-01-20 09:14:40 UTC
Okay, this is also a simple gem based rpm.

My request is the same as bug 1414002 .
* Exclude files not needed for runtime
  The following files are not needed and for developing purpose
  (mainly for test suite). Please consider to remove the below.

  - %{gem_instdir}/spec/
  - %{gem_instdir}/Gemfile
  - %{gem_instdir}/Gemfile.lock
  - %{gem_instdir}/Rakefile
  - %{gem_instdir}/ruby_version.gemspec

Otherwise okay.

Comment 4 Mamoru TASAKA 2017-01-22 14:48:38 UTC
Just update the %files list, then I can approve this package.

Comment 5 František Dvořák 2017-01-23 16:31:39 UTC
Thanks for the review! Updated:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-ruby_engine-1.0.1-2/rubygem-ruby_engine.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-ruby_engine-1.0.1-2/rubygem-ruby_engine-1.0.1-2.fc26.src.rpm

%changelog
* Mon Jan 23 2017 František Dvořák <valtri.cz> - 1.0.1-2
- Exclude unnecessary files

Comment 6 Mamoru TASAKA 2017-01-24 09:22:00 UTC
Okay.

* license okay (MIT)
* spec file clean
* source matches upstream
* builds fine
* installation fine
* rpmlint sane
* general functionality okay

$ ruby -e 'require "ruby_engine" ; p RubyEngine.is? "ruby"'
true

======================================================
  This package (rubygem-ruby_engine) is APPROVED
  by mtasaka
======================================================

Comment 7 Gwyn Ciesla 2017-01-25 13:17:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-ruby_engine